Package org.apache.groovy.json

# Class DefaultFastStringService

java.lang.Object
org.apache.groovy.json.DefaultFastStringService

All Implemented Interfaces:
  `FastStringService`

public class DefaultFastStringService extends Object implements FastStringService
Internal class for fast processing of Strings during JSON parsing - default version

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultFastStringService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `noCopyStringFromChars(char[] chars)`
  `char[]`
  `toCharArray(String string)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultFastStringService

    public DefaultFastStringService()

- ## Method Details

  - ### toCharArray

    public char[] toCharArray(String string)
    Specified by:
      `toCharArray` in interface `FastStringService`
    Parameters:
      `string` - string to grab array from.
    Returns:
      char array from string

  - ### noCopyStringFromChars

    public String noCopyStringFromChars(char[] chars)
    Specified by:
      `noCopyStringFromChars` in interface `FastStringService`
    Parameters:
      `chars` - to shove array into.
    Returns:
      new string with chars copied into it